import { AgTextRenderer as FoundationAgTextRenderer } from '@genesislcap/grid-pro';
/**
 * @tagname %%prefix%%-grid-text-renderer
 */
export declare class ZeroAgTextRenderer extends FoundationAgTextRenderer {
}
/**
 * The Zero Ag Text Renderer
 *
 * @public
 * @remarks
 * HTML Element: \<zero-grid-text-renderer\>
 */
export declare const zeroAgTextRenderer: (overrideDefinition?: import("@microsoft/fast-foundation").OverrideFoundationElementDefinition<{
    baseName: string;
    styles: import("@microsoft/fast-element").ElementStyles;
    template: import("@microsoft/fast-element").ViewTemplate<import("@genesislcap/grid-pro").AgTextFieldRenderer, any>;
}>) => import("@microsoft/fast-foundation").FoundationElementRegistry<{
    baseName: string;
    styles: import("@microsoft/fast-element").ElementStyles;
    template: import("@microsoft/fast-element").ViewTemplate<import("@genesislcap/grid-pro").AgTextFieldRenderer, any>;
}, typeof ZeroAgTextRenderer>;
//# sourceMappingURL=text.renderer.d.ts.map