import { textRendererStyles, AgTextRenderer as FoundationAgTextRenderer, getTextRendererTemplate, } from '@genesislcap/grid-pro';
/**
 * @tagname %%prefix%%-grid-text-renderer
 */
export class ZeroAgTextRenderer extends FoundationAgTextRenderer {
}
/**
 * The Zero Ag Text Renderer
 *
 * @public
 * @remarks
 * HTML Element: \<zero-grid-text-renderer\>
 */
export const zeroAgTextRenderer = ZeroAgTextRenderer.compose({
    baseName: 'grid-text-renderer',
    styles: textRendererStyles,
    template: getTextRendererTemplate('zero'),
});
